-- Schema: C6MartPeriodico
-- Stored Procedure: SP_DQ_ProgettoDuplicatoArea




-- =============================================
-- Author:		Caruso Fabrizio
-- Create date: 17/09/2014
-- Description:	
-- Individuazione dei Record Aventi per Ordinamento Progetto Aree Duplicate

-- Impostazione Codice TIPO CONTROLLO per il controllo specifico 
-- ( per riferimenti al tipo controllo verificare tabella "tb_tipocontrollo" )
-- =============================================

    
 
CREATE procedure [C6MartPeriodico].[SP_DQ_ProgettoDuplicatoArea]
@idFaseElaborazione int
AS
BEGIN




Declare @idTipoControllo int

set @idTipoControllo=5	
			

select distinct a.rete, a.cod_fiscale,@idTipoControllo idtipocontrollo
into #TbErrori
from 
(SELECT * FRom c6martperiodico.patrimonio_bf ) a
inner join
(SELECT * FRom c6martperiodico.patrimonio_bf ) b
on a.cod_fiscale = b.cod_fiscale 
and a.rete= b.rete
and a.id_area = b.id_area
where a.id_area <> 'Inv'
and a.ordinamento_progetto <> b.ordinamento_progetto



declare @idElab  int
select @idElab=max(id_elab) from  c6martperiodico.elaborazioni
			  
--select * from c6martperiodico.tb_tipocontrollo

Insert into C6MartPeriodico.TB_SegnalazioniDataQuality
( 
idTipoControllo,
rete,
codiceFiscale,
descSegnalazione,
idElaborazione,
richiesta,
idFaseElaborazione)
select tbErr.idTipoControllo,rete,COD_FISCALE,DescSegnalazione,@idelab,'',@idFaseElaborazione
from #TbErrori tbErr
inner join c6martperiodico.tb_tipocontrollo Tipo
on tbErr.idtipocontrollo = tipo.idTipoControllo
			
			
end 			




